package domain


type AlibabaWdkPlatformCategoryQueryPlatformCategory4Do struct {
    /*
        父类目编码     */
    ParentNo  *string `json:"parent_no,omitempty" `

    /*
        类目编码     */
    CategoryNo  *string `json:"category_no,omitempty" `

    /*
        类目名称     */
    Name  *string `json:"name,omitempty" `

    /*
        淘宝类目id     */
    TaoCategoryId  *int64 `json:"tao_category_id,omitempty" `

    /*
        是否叶子(布尔类型,1=true)     */
    IsLeaf  *bool `json:"is_leaf,omitempty" `

    /*
        淘系类目id(服务)     */
    TaoCategoryCode  *string `json:"tao_category_code,omitempty" `

}

func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do) SetParentNo(v string) *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do {
    s.ParentNo = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do) SetCategoryNo(v string) *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do {
    s.CategoryNo = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do) SetName(v string) *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do {
    s.Name = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do) SetTaoCategoryId(v int64) *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do {
    s.TaoCategoryId = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do) SetIsLeaf(v bool) *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do {
    s.IsLeaf = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do) SetTaoCategoryCode(v string) *AlibabaWdkPlatformCategoryQueryPlatformCategory4Do {
    s.TaoCategoryCode = &v
    return s
}
